package name.panitz.crempel.util.adt.examples;

import java.io.StringReader;
import javax.swing.JFrame;

import name.panitz.crempel.tool.CrempelTool;

import name.panitz.crempel.util.gui.ButtonDialogueLogic;
import name.panitz.crempel.util.gui.ButtonDialoguePanel;

public class KlipGui extends ButtonDialoguePanel
                        implements CrempelTool{
  final String DESCRIPTION = "klip"; 

  public KlipGui(){
    super(
     new ButtonDialogueLogic(){
       public String getDescription(){
         return "execute commands";
       };
       public String evaluate(String input){
       	 try {
	   Klip klip = new KlipParser(new StringReader(input))
                .statementList();
	   return  ""+klip.visit(new EvalKlip());
         }catch (Exception e){
           return "<error kind=\"cannot execute\">"
                  +input+"</error>";
         }
       }
    });
  }

  public String getDescription(){return DESCRIPTION;}

}