package name.panitz.crempel.util.adt;

import java.util.List;
import java.util.ArrayList;

public class Type {

    private String name;
    private List<Type> params;
    public String getName(){return name;}
    public List<Type> getParams(){return params;}
    
    public Type(String n,List ps){name=n;params=ps;}
    public Type(String n){this(n,new ArrayList());}

    public String toString(){
      StringBuffer result = new StringBuffer(name);
      if (!params.isEmpty()){
	result.append("<");
	boolean first=true;
        for (Type t:params){
          if (!first) result.append(',');  
	  result.append(t);
          first=false;
	}
        result.append('>');  
      }
      return result.toString();
    }
}